Package com.smartgwt.client.util

# Class I18nUtil

java.lang.Object
com.smartgwt.client.util.I18nUtil

public class I18nUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `I18nUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `formatLocaleCurrency(Object value)`
  `static String`
  `formatLocaleFloat(Object value, Object precision)`
  `static String`
  `formatLocaleInt(Object value)`
  `static String`
  `getLocaleCurrencySymbol()`
  `static String`
  `getLocaleDecimalSymbol()`
  `static String`
  `getLocaleGroupingSymbol()`
  `static String`
  `getLocaleNegativeSymbol()`
  `static void`
  `init()`
  Setup SmartGWT i18n.
  `static void`
  `initMessages(SmartGwtMessages messages)`
  Initialize Smart GWT with i18n translations.
  `static double`
  `parseNum(String string)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### I18nUtil

    public I18nUtil()

- ## Method Details

  - ### init

    public static void init()
    Setup SmartGWT i18n.

  - ### formatLocaleInt

    public static String formatLocaleInt(Object value)

  - ### formatLocaleFloat

    public static String formatLocaleFloat(Object value, Object precision)

  - ### formatLocaleCurrency

    public static String formatLocaleCurrency(Object value)

  - ### getLocaleCurrencySymbol

    public static String getLocaleCurrencySymbol()

  - ### getLocaleDecimalSymbol

    public static String getLocaleDecimalSymbol()

  - ### getLocaleGroupingSymbol

    public static String getLocaleGroupingSymbol()

  - ### getLocaleNegativeSymbol

    public static String getLocaleNegativeSymbol()

  - ### parseNum

    public static double parseNum(String string)

  - ### initMessages

    public static void initMessages(SmartGwtMessages messages)
    Initialize Smart GWT with i18n translations.
    Parameters:
      `messages` - the SmartGWT messages